GeneralChartModel (gCube VRE Deploy Wizard Portlet 3.3.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.admin.vredeployer.client.charts

## Class GeneralChartModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.admin.vredeployer.client.charts.GeneralChartModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class GeneralChartModel
      extends com.extjs.gxt.ui.client.data.BaseModelData

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GeneralChartModel()`
    `` | `GeneralChartModel(String name, String path, SimpleChartModel example)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleChartModel` | `getExample()`
    `String` | `getName()`
    `String` | `getPath()`
    `void` | `setExample(SimpleChartModel example)`
    `void` | `setName(String name)`
    `void` | `setPath(String path)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralChartModel

          protected GeneralChartModel()

    - #### GeneralChartModel

          public GeneralChartModel(String name,
                           String path,
                           SimpleChartModel example)

  - ### Method Detail

    - #### setName

          public void setName(String name)

    - #### setPath

          public void setPath(String path)

    - #### setExample

          public void setExample(SimpleChartModel example)

    - #### getName

          public String getName()

    - #### getPath

          public String getPath()

    - #### getExample

          public SimpleChartModel getExample()

Copyright © 2014. All Rights Reserved.